package design.patterns.behavioural.command.manyslots;

public class RemoteLoaderWithLambda {
 
	public static void main(String[] args) {
		RemoteControl remoteControl = new RemoteControl();
 
		Light livingRoomLight = new Light("Living Room");
		Light kitchenLight = new Light("Kitchen");
		CeilingFan ceilingFan= new CeilingFan("Living Room");
		GarageDoor garageDoor = new GarageDoor("");
		Stereo stereo = new Stereo("Living Room");
 
		remoteControl.setCommand(0, () -> livingRoomLight.on(), () -> livingRoomLight.off());
		remoteControl.setCommand(1, () -> kitchenLight.on(), () -> kitchenLight.on());
		remoteControl.setCommand(2, () -> garageDoor.lightOn(), () -> garageDoor.lightOff());
		remoteControl.setCommand(3, () -> stereo.on(), () -> stereo.off());
  
		System.out.println(remoteControl);
 
		remoteControl.onButtonWasPushed(0);
		remoteControl.offButtonWasPushed(0);
		remoteControl.onButtonWasPushed(1);
		remoteControl.offButtonWasPushed(1);
		remoteControl.onButtonWasPushed(2);
		remoteControl.offButtonWasPushed(2);
		remoteControl.onButtonWasPushed(3);
		remoteControl.offButtonWasPushed(3);
	}
}
