package design.patterns.structural.adapter.employee;

import java.util.ArrayList;

public class EmployeeTestDrive {

    public static void main(String[] args) {
        EducationModel educationModel = new EducationModel("S1", "UI", "Ilmu Komputer");
        EducationModel educationModel2 = new EducationModel("S2", "UI", "Ekonomi");
        ArrayList<EducationModel> educationModelList = new ArrayList<>();
        educationModelList.add(educationModel);
        educationModelList.add(educationModel2);

        ExperienceModel experienceModel = new ExperienceModel("ABC", "Software Engineer", 2017, 2022);
        ArrayList<ExperienceModel> experienceModelList = new ArrayList<>();
        experienceModelList.add(experienceModel);

        EmployeeDTO employeeDTO = new EmployeeDTO("Rudi", "Depok", "rudi@gmail.com",
                "0877627363522", "SE", educationModelList, experienceModelList);

        EmployeeService employeeService = new EmployeeService();

        EmployeeModel empAdapter = new EmployeeAdapter(employeeDTO);

        employeeService.insertDataEmployee(empAdapter);

        for (EducationModel item :
                educationModelList) {
            employeeService.insertDataEducation(item);
        }
        for (ExperienceModel item :
                experienceModelList) {
            employeeService.insertDataExperience(item);
        }

    }

}
