package design.patterns.structural.decorator.filedata;

public class Demo {
    public static void main(String[] args) {
        String salaryRecords = "Name,Salary\nJohn Michael,100000\nMike Jobs,912050";
        DataSource dataSource = new FileDataSource("out/OutputDemo.txt");
        dataSource = new EncryptionDecorator(dataSource);
        dataSource = new CompressionDecorator(dataSource);

        dataSource.writeData(salaryRecords);
        DataSource plain = new FileDataSource("out/OutputDemo.txt");

        System.out.println("- Input ----------------");
        System.out.println(salaryRecords);
        System.out.println("- Encoded --------------");
        System.out.println(plain.readData());
        System.out.println("- Decoded --------------");
        System.out.println(dataSource.readData());
    }
}
